#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kxechardatadialogbase.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxechardatadialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KXECharDataDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KXECharDataDialogBase::KXECharDataDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KXECharDataDialogBase" );
    setSizeGripEnabled( TRUE );
    KXECharDataDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KXECharDataDialogBaseLayout"); 

    Layout4 = new QHBoxLayout( 0, 0, 6, "Layout4"); 

    m_pLblInsert = new QLabel( this, "m_pLblInsert" );
    Layout4->addWidget( m_pLblInsert );

    m_pComboInsert = new QComboBox( FALSE, this, "m_pComboInsert" );
    Layout4->addWidget( m_pComboInsert );
    Spacer6 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout4->addItem( Spacer6 );

    KXECharDataDialogBaseLayout->addLayout( Layout4, 0, 0 );

    m_pEditData = new QTextEdit( this, "m_pEditData" );
    m_pEditData->setTextFormat( QTextEdit::PlainText );
    m_pEditData->setWordWrap( QTextEdit::NoWrap );

    KXECharDataDialogBaseLayout->addWidget( m_pEditData, 1, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    m_pBtnOK = new QPushButton( this, "m_pBtnOK" );
    m_pBtnOK->setAutoDefault( TRUE );
    m_pBtnOK->setDefault( TRUE );
    Layout1->addWidget( m_pBtnOK );

    m_pBtnCancel = new QPushButton( this, "m_pBtnCancel" );
    m_pBtnCancel->setAutoDefault( TRUE );
    Layout1->addWidget( m_pBtnCancel );

    KXECharDataDialogBaseLayout->addLayout( Layout1, 3, 0 );

    m_pTextLabelMessage = new QLabel( this, "m_pTextLabelMessage" );
    m_pTextLabelMessage->setPaletteForegroundColor( QColor( 255, 0, 0 ) );
    m_pTextLabelMessage->setTextFormat( QLabel::PlainText );

    KXECharDataDialogBaseLayout->addWidget( m_pTextLabelMessage, 2, 0 );
    languageChange();
    resize( QSize(389, 289).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pBtnOK, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_pBtnCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );

    // tab order
    setTabOrder( m_pEditData, m_pBtnOK );
    setTabOrder( m_pBtnOK, m_pBtnCancel );
    setTabOrder( m_pBtnCancel, m_pComboInsert );

    // buddies
    m_pLblInsert->setBuddy( m_pComboInsert );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXECharDataDialogBase::~KXECharDataDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXECharDataDialogBase::languageChange()
{
    setCaption( tr2i18n( "XML Character Data" ) );
    m_pLblInsert->setText( tr2i18n( "&Insert:" ) );
    QWhatsThis::add( m_pLblInsert, tr2i18n( "<b>Insert</b>\n"
"<br/>\n"
"Choose, where to place this XML character data in the XML elements list of childnodes." ) );
    m_pComboInsert->clear();
    m_pComboInsert->insertItem( tr2i18n( "at bottom" ) );
    m_pComboInsert->insertItem( tr2i18n( "at top" ) );
    QWhatsThis::add( m_pComboInsert, tr2i18n( "<b>Insert</b>\n"
"<br/>\n"
"Choose, where to place this XML character data in the XML elements list of childnodes." ) );
    QWhatsThis::add( m_pEditData, tr2i18n( "You can edit the XML character data in this editor." ) );
    m_pBtnOK->setText( tr2i18n( "&OK" ) );
    m_pBtnOK->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    m_pBtnCancel->setText( tr2i18n( "&Cancel" ) );
}

#include "kxechardatadialogbase.moc"
