#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kxeprintsettingspage.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kxeprintsettingspage.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kfontcombo.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kfontcombo.h"
#include "klineedit.h"

/*
 *  Constructs a KXEPrintSettingsPage as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KXEPrintSettingsPage::KXEPrintSettingsPage( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KXEPrintSettingsPage" );
    KXEPrintSettingsPageLayout = new QVBoxLayout( this, 11, 6, "KXEPrintSettingsPageLayout"); 

    m_pLblFontFamily = new QLabel( this, "m_pLblFontFamily" );
    m_pLblFontFamily->setFrameShape( QLabel::NoFrame );
    m_pLblFontFamily->setFrameShadow( QLabel::Plain );
    KXEPrintSettingsPageLayout->addWidget( m_pLblFontFamily );

    m_pFontFamily = new KFontCombo( this, "m_pFontFamily" );
    KXEPrintSettingsPageLayout->addWidget( m_pFontFamily );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    m_pLblFontSize = new QLabel( this, "m_pLblFontSize" );
    layout3->addWidget( m_pLblFontSize );

    m_pFontSize = new QSpinBox( this, "m_pFontSize" );
    m_pFontSize->setMinValue( 6 );
    m_pFontSize->setValue( 10 );
    layout3->addWidget( m_pFontSize );
    spacer3 = new QSpacerItem( 31, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer3 );
    KXEPrintSettingsPageLayout->addLayout( layout3 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    m_pLblIndentSteps = new QLabel( this, "m_pLblIndentSteps" );
    layout4->addWidget( m_pLblIndentSteps );

    m_pIndentSteps = new QSpinBox( this, "m_pIndentSteps" );
    layout4->addWidget( m_pIndentSteps );
    spacer2 = new QSpacerItem( 41, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer2 );
    KXEPrintSettingsPageLayout->addLayout( layout4 );

    m_pWithHeader = new QCheckBox( this, "m_pWithHeader" );
    KXEPrintSettingsPageLayout->addWidget( m_pWithHeader );

    m_pWithFooter = new QCheckBox( this, "m_pWithFooter" );
    KXEPrintSettingsPageLayout->addWidget( m_pWithFooter );
    spacer10 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KXEPrintSettingsPageLayout->addItem( spacer10 );
    languageChange();
    resize( QSize(292, 187).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    m_pLblFontFamily->setBuddy( m_pFontFamily );
    m_pLblFontSize->setBuddy( m_pFontSize );
    m_pLblIndentSteps->setBuddy( m_pIndentSteps );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KXEPrintSettingsPage::~KXEPrintSettingsPage()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KXEPrintSettingsPage::languageChange()
{
    setCaption( tr2i18n( "Print Settings Page" ) );
    m_pLblFontFamily->setText( tr2i18n( "Font &family:" ) );
    QWhatsThis::add( m_pLblFontFamily, tr2i18n( "<b>Font family</b>\n"
"<br>\n"
"Choose the font family you want to be used on printing your XML documents." ) );
    QWhatsThis::add( m_pFontFamily, tr2i18n( "<b>Font family</b>\n"
"<br>\n"
"Choose the font family you want to be used on printing your XML documents." ) );
    m_pLblFontSize->setText( tr2i18n( "Font &size:" ) );
    QWhatsThis::add( m_pLblFontSize, tr2i18n( "<b>Font size</b>\n"
"<br>\n"
"Choose the font size you want to be used on printing your XML documents." ) );
    m_pFontSize->setSuffix( tr2i18n( "pt" ) );
    m_pFontSize->setSpecialValueText( QString::null );
    QWhatsThis::add( m_pFontSize, tr2i18n( "<b>Font size</b>\n"
"<br>\n"
"Choose the font size you want to be used on printing your XML documents." ) );
    m_pLblIndentSteps->setText( tr2i18n( "Element &indentation:" ) );
    QWhatsThis::add( m_pLblIndentSteps, tr2i18n( "<b>Element indentation</b>\n"
"<br>\n"
"Choose the number of characters you want to be used for indenting childnodes on printing you XML documents." ) );
    QWhatsThis::add( m_pIndentSteps, tr2i18n( "<b>Element indentation</b>\n"
"<br>\n"
"Choose the number of characters you want to be used for indenting childnodes on printing you XML documents." ) );
    m_pWithHeader->setText( tr2i18n( "&Print header" ) );
    m_pWithHeader->setAccel( QKeySequence( tr2i18n( "Alt+P" ) ) );
    QWhatsThis::add( m_pWithHeader, tr2i18n( "<b>Print header</b>\n"
"<br>\n"
"You can determine wether you want a header to be printed on every page when printing you XML documents or not." ) );
    m_pWithFooter->setText( tr2i18n( "P&rint footer" ) );
    m_pWithFooter->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    QWhatsThis::add( m_pWithFooter, tr2i18n( "<b>Print footer</b>\n"
"<br>\n"
"You can determine wether you want a footline to be printed on every page when printing you XML documents or not." ) );
}

#include "kxeprintsettingspage.moc"
